## qubes-tunnel 1.4.0

=== Makefile ===
VERSION := $(shell cat version)

install: install-vm

install-vm: install-files
	groupadd -rf qtunnel
	systemctl daemon-reload
	systemctl enable qubes-tunnel.service

install-files:
	install -d  $(DESTDIR)/usr/lib/qubes/
	install -Dm 755 qtunnel-setup $(DESTDIR)/usr/lib/qubes/qtunnel-setup
	install -Dm 755 qtunnel-connect $(DESTDIR)/usr/lib/qubes/qtunnel-connect
	install -Dm 755 tunnel-restrict-firewall $(DESTDIR)/usr/lib/qubes/tunnel-restrict-firewall
	install -d $(DESTDIR)/lib/systemd/system
	install -Dm 644 qubes-tunnel.service $(DESTDIR)/lib/systemd/system/qubes-tunnel.service
	install -d $(DESTDIR)/lib/systemd/system/qubes-tunnel.service.d
	install -Dm 644 00_generic.example $(DESTDIR)/lib/systemd/system/qubes-tunnel.service.d/00_generic.example
	install -Dm 644 10_wg.example  $(DESTDIR)/lib/systemd/system/qubes-tunnel.service.d/10_wg.example

=== debian/changelog ===
qubes-tunnel (1.4.0-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sun, 16 Sep 2018 23:01:15 -0400

qubes-tunnel (1.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #3503)

 -- Christopher Laprise <tasket@protonmail.com>  Sun, 16 Sep 2018 23:01:15 -0400

=== debian/control ===
Source: qubes-tunnel
Section: admin
Priority: optional
Maintainer: Christopher Laprise <tasket@protonmail.com>
Build-Depends: debhelper (>= 10)
Standards-Version: 4.1.2
Homepage: https://www.qubes-os.org

Package: qubes-tunnel
Architecture: all
Depends: ${misc:Depends}, qubes-core-agent-networking, iptables
Description: Qubes service for simple, secure VPN tunnels.
 Qubes service for ProxyVMs as secure VPN tunnel gateways. Combines anti-leak
 firewall, DNS and systemd service that accepts config files from your
 VPN provider.

## qubes-tunnel 1.4.1

=== Makefile ===
--- 
+++ 
@@ -17,4 +17,4 @@
 	install -d $(DESTDIR)/lib/systemd/system/qubes-tunnel.service.d
 	install -Dm 644 00_generic.example $(DESTDIR)/lib/systemd/system/qubes-tunnel.service.d/00_generic.example
 	install -Dm 644 10_wg.example  $(DESTDIR)/lib/systemd/system/qubes-tunnel.service.d/10_wg.example
-
+	install -Dm 755 20-qubes-tunnel.sh $(DESTDIR)/etc/qubes/post-install.d/20-qubes-tunnel.sh

=== debian/changelog ===
qubes-tunnel (1.4.1-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sat, 28 Mar 2020 15:41:58 +0100

qubes-tunnel (1.4.1-1) unstable; urgency=medium

  * README: update with QubesOS-contrib context
  * README: precise service needs to be explicitely written
  * Add travis
  * package: require 'openvpn'
  * README: fix typo `sys-vpn`
  * README: add graph example
  * Announce available service to Qubes

 -- Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org>  Sat, 28 Mar 2020 15:41:58 +0100

## qubes-tunnel 1.4.2

=== Makefile ===
--- 
+++ 
@@ -17,4 +17,5 @@
 	install -d $(DESTDIR)/lib/systemd/system/qubes-tunnel.service.d
 	install -Dm 644 00_generic.example $(DESTDIR)/lib/systemd/system/qubes-tunnel.service.d/00_generic.example
 	install -Dm 644 10_wg.example  $(DESTDIR)/lib/systemd/system/qubes-tunnel.service.d/10_wg.example
+	install -d $(DESTDIR)/etc/qubes/post-install.d
 	install -Dm 755 20-qubes-tunnel.sh $(DESTDIR)/etc/qubes/post-install.d/20-qubes-tunnel.sh

=== debian/changelog ===
qubes-tunnel (1.4.2-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sun, 21 Mar 2021 14:52:56 +0100

qubes-tunnel (1.4.2-1) unstable; urgency=medium

  [ Michael Carbone ]
  * Update README.md

  [ shaaati ]
  * Update README.md

  [ Frédéric Pierret (fepitre) ]
  * Add .gitlab-ci.yml and drop travis
  * Makefile: fix 20-qubes-tunnel.sh installed as directory
  * Fix mangling shebangs

 -- Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org>  Sun, 21 Mar 2021 14:52:56 +0100

## qubes-tunnel 1.4.3

=== debian/changelog ===
qubes-tunnel (1.4.3-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Mon, 29 Mar 2021 16:59:13 +0200

qubes-tunnel (1.4.3-1) unstable; urgency=medium

  * Fix Debian post install service

 -- Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org>  Mon, 29 Mar 2021 16:59:13 +0200

## qubes-tunnel 1.4.4

=== Makefile ===
--- 
+++ 
@@ -17,5 +17,4 @@
 	install -d $(DESTDIR)/lib/systemd/system/qubes-tunnel.service.d
 	install -Dm 644 00_generic.example $(DESTDIR)/lib/systemd/system/qubes-tunnel.service.d/00_generic.example
 	install -Dm 644 10_wg.example  $(DESTDIR)/lib/systemd/system/qubes-tunnel.service.d/10_wg.example
-	install -d $(DESTDIR)/etc/qubes/post-install.d
 	install -Dm 755 20-qubes-tunnel.sh $(DESTDIR)/etc/qubes/post-install.d/20-qubes-tunnel.sh

=== debian/changelog ===
qubes-tunnel (1.4.4-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sat, 09 Oct 2021 11:43:48 +0200

qubes-tunnel (1.4.4-1) unstable; urgency=medium

  [ Michael Carbone ]
  * fix typo in configuration

  [ Frédéric Pierret (fepitre) ]
  * spec: add BR make

 -- Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org>  Sat, 09 Oct 2021 11:43:48 +0200

## qubes-tunnel 1.4.5

=== debian/changelog ===
qubes-tunnel (1.4.5-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Mon, 17 Jan 2022 10:31:15 +0100

qubes-tunnel (1.4.5-1) unstable; urgency=medium

  * Ensure notify-send is available

 -- Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org>  Mon, 17 Jan 2022 10:31:15 +0100

## qubes-tunnel 1.4.6

=== debian/changelog ===
qubes-tunnel (1.4.6-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Wed, 26 Jul 2023 11:30:15 +0200

qubes-tunnel (1.4.6-1) unstable; urgency=medium

  * 

 -- Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org>  Wed, 26 Jul 2023 11:30:15 +0200

qubes-tunnel (1.4.5-2) unstable; urgency=medium

  * Add builderv2 integration
  * spec: allow to bump release

 -- Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org>  Wed, 26 Jul 2023 10:52:28 +0200
